### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ConstantRecoveryModel Class Reference

`#include <ql/experimental/credit/recoveryratemodel.hpp>`

Inheritance diagram for ConstantRecoveryModel:
[legend]

List of all members.

## Public Member Functions

| ConstantRecoveryModel (const Handle< RecoveryRateQuote > &quote)
| ConstantRecoveryModel (Real recovery, Seniority sen=NoSeniority)
void | update ()
bool | appliesToSeniority (Seniority) const

## Protected Member Functions

Real | recoveryValueImpl (const Date &, const DefaultProbKey &) const

## Detailed Description

Simple Recovery Rate model returning the constant value of the quote independently of the date and the seniority.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.

bool appliesToSeniority | ( | Seniority |  | ) | const`[virtual]`

Returns true if the model will return recovery rates for the requested seniority.

Implements RecoveryRateModel.

Real recoveryValueImpl | ( | const Date & | ,
|  | const DefaultProbKey & |
| ) |  | const`[protected, virtual]`

Notice the quote's value is returned without a check on a match of the seniorties of the quote and the request.

Implements RecoveryRateModel.